propellor-5.3.3: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell98

Propellor.Property.Cron

Synopsis

- data Times
  - = Times String
  - | Daily
  - | Weekly
  - | Monthly
- job :: Desc -> Times -> User -> FilePath -> String -> Property DebianLike
- niceJob :: Desc -> Times -> User -> FilePath -> String -> Property DebianLike
- runPropellor :: Times -> Property UnixLike

# Documentation

data Times Source #

When to run a cron job.

The Daily, Monthly, and Weekly options allow the cron job to be run by anacron, which is useful for non-servers.

Constructors

Times String | formatted as in crontab(5)
Daily |
Weekly |
Monthly |

job :: Desc -> Times -> User -> FilePath -> String -> Property DebianLike Source #

Installs a cron job, that will run as a specified user in a particular directory. Note that the Desc must be unique, as it is used for the cron job filename.

Only one instance of the cron job is allowed to run at a time, no matter how long it runs. This is accomplished using flock locking of the cron job file.

The cron job's output will only be emailed if it exits nonzero.

niceJob :: Desc -> Times -> User -> FilePath -> String -> Property DebianLike Source #

Installs a cron job, and runs it niced and ioniced.

runPropellor :: Times -> Property UnixLike Source #

Installs a cron job to run propellor.